From Fedora Project Wiki

< SIGs‎ | Java

Line 18: Line 18:
 
* apache-commons-fileupload - COMPLETE
 
* apache-commons-fileupload - COMPLETE
 
* apache-commons-jxpath - COMPLETE
 
* apache-commons-jxpath - COMPLETE
 +
* groovy - COMPLETE
 +
* hsqldb - COMPLETE
 +
* maven-project-info-reports-plugin -COMPLETE
 +
* velocity - COMPLETE
 
* castor
 
* castor
 
* glite-security-trustmanager
 
* glite-security-trustmanager
 
* glite-security-util-java
 
* glite-security-util-java
* groovy
 
* hsqldb - COMPLETE
 
 
* httpunit
 
* httpunit
 
* ini4j
 
* ini4j
Line 28: Line 30:
 
* kawa
 
* kawa
 
* logback
 
* logback
* maven-project-info-reports-plugin
 
 
* struts
 
* struts
 
* tomcat5
 
* tomcat5
 
* tomcatjss
 
* tomcatjss
* velocity - COMPLETE
 
 
* xmlrpc
 
* xmlrpc

Revision as of 09:06, 10 November 2010

We want to move packages from depending on tomcat5 (and its APIs) to tomcat6. Here are the various Provides and what requires them.

Tracking bug - https://bugzilla.redhat.com/show_bug.cgi?id=640397

Tomcat 5 only Provides

  • jsp_2_0_api
  • servlet24
  • servlet_2_4_api
  • servlet5
  • servletapi5
  • tomcat5
  • tomcat5-servlet-2.4-api

Packages

  • apache-commons-configuration - COMPLETE
  • apache-commons-fileupload - COMPLETE
  • apache-commons-jxpath - COMPLETE
  • groovy - COMPLETE
  • hsqldb - COMPLETE
  • maven-project-info-reports-plugin -COMPLETE
  • velocity - COMPLETE
  • castor
  • glite-security-trustmanager
  • glite-security-util-java
  • httpunit
  • ini4j
  • jakarta-taglibs-standard
  • kawa
  • logback
  • struts
  • tomcat5
  • tomcatjss
  • xmlrpc